totalPixels = 16 * 16;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% conhecimento

enderecos_base = ['A','B','C','D','E'];
numLetras =  size(enderecos_base, 2);
numAmostras = 6;
enderecos = ['_001.txt',
             '_002.txt',
             '_003.txt',
             '_004.txt',
             '_005.txt',
             '_006.txt'];
         
for n = 1 : numLetras
         
    for k = 1 : numAmostras
        letraPixels = load( [ enderecos_base(n) enderecos(k,:) ] );    
        temp = [];
        for i = 1 : size(letraPixels, 2);
            temp = [temp letraPixels(i,:)];
        end
    
        in_treina{n}{k} = temp';
        out_treina{n}{k} = zeros(1, numLetras)';    
        out_treina{n}{k}(n) = 1;

    end

end



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% motor de inferencia - rede neural
layers = [5 numLetras];
iniLimit   = 0;
endieLimit = 1;
epochs     = 100;
goal       = 0.001;

% limit function of the network
limit(1:totalPixels,1) = iniLimit;
limit(1:totalPixels,2) = endieLimit;

% cria o MultiLayerPerceptron (MLP)
net = newff( limit , layers ,{'tansig','purelin'});


% configuracao da rede
net.trainParam.epochs = epochs;
%net.trainParam.goal = goal;


input = [];
for n = 1:numLetras
    for k = 1:numAmostras
        input = [ input, in_treina{n}{k}];
    end
end



output = [];
for n = 1:numLetras
    for k = 1:numAmostras
        output = [ output, out_treina{n}{k}];
    end
end


% treina a rede neural
net = train(net,input , output, [], [], []);
