package ag;

import java.util.List;

public interface ReprodutorStrategy {

	/**
	 * M�todo que recebe uma lista de cromossomos que foram previamente escolhidas para gerar
	 * novos filhos.
	 * @param girafasPais Girafas previamente selecionadas da popula��o
	 * @param probMutacao
	 * @return
	 */
	public List<String> reproduza(List<String> girafasPais, double probMutacao);
	
	public List<String> cruze(String cromossomo1, String cromossomo2, double probMutacao);
	
	public String apliqueMutacao(String cromossomo, double probMutacao);
}
