package simulador;

public class Tarefa {
	
	private int id, tamanho, vazao;
	private boolean escalonada;
	
	public Tarefa(int id, int tamanho, int vazao) {
		this.id = id;
		this.tamanho = tamanho;
		this.vazao = vazao;
		this.escalonada = false;
	}

	public int getId() {
		return id;
	}
	
	public int getTamanho() {
		return tamanho;
	}

	public int getVazao() {
		return vazao;
	}
	
	public void escalona() {
		escalonada = true;
	}
	
	public boolean escalonada() {
		return escalonada;
	}
	
	public boolean equals(Object o) {
		Tarefa tarefa = (Tarefa) o;
		return this.getId() == tarefa.getId();
	}
	
	public String toString() {
		return "Tarefa " + id + " tamanho: " + tamanho + ", vazao " + vazao;
	}
	
}
