package nom.paolo.ai.util;

public class ExperimentStats {

	private static ExperimentStats instance;
	private int targetFriendLocks;
	private int targetLocks;

	private ExperimentStats() {
		this.targetLocks = 0;
		this.targetFriendLocks = 0;
	}
	
	public static ExperimentStats getInstance() {
		if( instance == null ) {
			instance = new ExperimentStats();
		}
		return instance;
	}

	public int getFriendTargetLocks() {
		return this.targetFriendLocks;
	}

	public int getTargetLocks() {
		return this.targetLocks;
	}

	public void addTargetFriendLock() {
		this.targetFriendLocks++;
	}

	public void addTargetLock() {
		this.targetLocks++;
	}
}
