package nom.paolo.ai.game.command;


public interface AgentCommand {	
	public static final AgentCommand NO_COMMAND = null;
	
	public void setParameter( String parameterName, String value );
	
	public String getParameter( String parameterName );
	
	public void execute();

	public boolean isFinished();

	public void stop();
}
