package nom.paolo.ai.game.display;

import java.awt.Color;
import java.util.List;


public interface Viewport {
	public void drawObjects( List<Displayable> objects );

	public void lockOn( Displayable object );

	public void drawString(String string, double x, double y, Color color);

	public void drawLine(int x, int y, int x2, int y2, Color color);
}
