package nom.paolo.ai.pathfinder;
public class PathComponent {
	private int x, y;
	
	public PathComponent( int x, int y ) {
		this.x = x;
		this.y = y;
	}
	
	public int getX() {
		return this.x;
	}
	
	public int getY() {
		return this.y;
	}
	
	public boolean equals( Object o ) {
		if( ! (o instanceof PathComponent) ) {
			return false;
		}
		
		PathComponent other = (PathComponent) o;
		
		return this.x == other.getX() && y == other.getY();
	}
	
	public String toString() {
		return "(" + x + "," + y + ")";
	}
}