package ag;

import java.util.Collections;
import java.util.List;

import objects.GirafaObject;

public class Selecionador1 implements SelecionadorStrategy {

	public List<GirafaObject> selecioneMelhores(List<GirafaObject> populacao, double porcentagem) {
		Collections.sort(populacao);
		
		int quantidade = (int)(populacao.size() * porcentagem);
		
		if(quantidade % 2 != 0) quantidade++;
		
		return populacao.subList(0, quantidade);
	}
	
}
