package simulador;

public class Maquina {
	
	private int id, vazao_link, velocidade;
	private boolean ocupada;
	
	public Maquina(int id, int vazao_link, int velocidade) {
		this.id = id;
		this.vazao_link = vazao_link;
		this.velocidade = velocidade;
		this.ocupada = false;
	}

	public int getId() {
		return id;
	}

	public int getVazao_link() {
		return vazao_link;
	}

	public int getVelocidade() {
		return velocidade;
	}
	
	public void ocupa() {
		ocupada = true;
	}
	
	public void desocupa() {
		ocupada = false;
	}
	
	public boolean ocupada() {
		return ocupada;
	}
	
	public boolean equals(Object o) {
		Maquina maquina = (Maquina) o;
		return this.getId() == maquina.getId();
	}
	
	public String toString() {
		return "Maquina " + id + " vazao_link: " + vazao_link + ", velocidade " + velocidade;
	}
	
}
