package nom.paolo.ai.game.display;

import java.awt.Image;

public interface Displayable extends Comparable  {
	public Image getImage();
	
	public int getDisplayPositionX();
	
	public int getDisplayPositionY();

	public double getRotateAngle();

	public int getWidth();

	public int getHeight();
	
	public void displayInfo( Viewport viewPort );
}
